## Delete a property definition **delete** `/v2/prism/{teamId}/{objectType}/properties/{propertyId}` Removes the property definition and any of its options. Fails with 409 `property_in_use` if records still reference the property. ### Path Parameters - `teamId: optional string` - `objectType: "comment" or "deal" or "engagement" or 9 more` - `"comment"` - `"deal"` - `"engagement"` - `"identity"` - `"ai_chat_thread"` - `"ai_chat_message"` - `"agent_site"` - `"document"` - `"action"` - `"event"` - `"organization"` - `"contact"` - `propertyId: string` ### Query Parameters - `type: "num" or "str" or "bool" or 34 more` Storage type of this property definition. - `"num"` - `"str"` - `"bool"` - `"date"` - `"text"` - `"byte"` - `"select_str"` - `"multi_str"` - `"multiselect_str"` - `"jsonb"` - `"ref_identity"` - `"ref_user"` - `"ref_organization"` - `"ref_contact"` - `"ref_thread"` - `"ref_message"` - `"ref_event"` - `"ref_account"` - `"ref_ai_chat_thread"` - `"ref_ai_chat_message"` - `"multiref_ai_chat_message"` - `"multiref_agent_site"` - `"multiref_action"` - `"multiref_comment"` - `"multiref_contact"` - `"multiref_label"` - `"multiref_thread"` - `"multiref_messages"` - `"multiref_document"` - `"multiref_identity"` - `"multiref_organization"` - `"multiref_engagement"` - `"multiref_attendee"` - `"multiref_meeting_entry"` - `"multiref_read_receipt"` - `"multiref_account"` - `"multiref_source"` - `list_id: optional string` ### Example ```http curl https://developers.micro.so/v2/prism/$TEAM_ID/$OBJECT_TYPE/properties/$PROPERTY_ID \ -X DELETE \ -H "x-api-key: $MICRO_API_KEY" ```